echo off

if not exist duke3d.exe goto error

:menu
cls
echo.
echo                     ---------------------
echo                     R M  -  S h o t g u n 
echo                     ---------------------
echo.
echo                     1. Install
echo                     2. Uninstall
echo                     3. Information
echo                     4. Exit
echo.

if exist rmshot.off echo RM - Shotgun is NOT installed !
if exist rmshot.on echo RM - Shotgun is already installed !

choice /c:1234 
if errorlevel 4 goto exit
if errorlevel 3 goto info
if errorlevel 2 goto uninstall
if errorlevel 1 goto install

:error
echo.
echo This is not your Duke Nukem 3D directory !
echo.
goto end

:exit
goto end

:info
type readme.1st |more
pause
goto menu

:already
echo.
echo RM - Shotgun is already installed !
echo.
pause
goto menu

:ni
echo.
echo RM - Shotgun is NOT installed !
echo.
pause
goto menu

:uninstall
if exist rmshot.off goto ni
cls
echo.
echo Are you sure that you want to uninstall RM - Shotgun ?
choice /c:yn
if errorlevel 2 goto menu
if errorlevel 1 goto install2

:install2
rename tiles010.art tiles010.ar_
if exist tiles010.bak rename tiles010.bak tiles010.art
rename shotgnck.voc shotgnck.vo_
if exist shotgnck.bak rename shotgnck.bak shotgnck.voc
rename shotgun7.voc shotgun7.vo_
if exist shotgun7.bak rename shotgun7.bak shotgun7.voc
rename rmshot.on rmshot.off

echo.
echo Done.
echo.
echo RM - Shotgun successfully uninstalled !
echo.
goto end


:install
if exist rmshot.on goto already
cls
echo.
echo Installing RM - Shotgun ?
echo [ CTRL+BREAK to stop ]
pause

if exist tiles010.art rename tiles010.art tiles010.bak
rename tiles010.ar_ tiles010.art
if exist shotgnck.voc rename shotgnck.voc shotgnck.bak
rename shotgnck.vo_ shotgnck.voc
if exist shotgun7.voc rename shotgun7.voc shotgun7.bak
rename shotgun7.vo_ shotgun7.voc
rename rmshot.off rmshot.on

echo Done.
echo.
echo Installation complete !
echo.
pause
cls
echo.
echo Now have fun with your new Shotgun !
echo.
goto end

:end
echo.
echo RM - Shotgun
echo by Ralf Modlich
echo.
echo ralf.modlich@t-online.de
echo http://members.xoom.com/RalfM/
echo.